<?php
/**
 * Customizer
 * 
 * @package WordPress
 * @subpackage nature-photography
 * @since nature-photography 1.0
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function nature_photography_customize_register( $wp_customize ) {
	$wp_customize->add_section( new Nature_Photography_Upsell_Section($wp_customize,'upsell_section',array(
		'title'            => __( 'Nature Photography Pro', 'nature-photography' ),
		'button_text'      => __( 'Upgrade Pro', 'nature-photography' ),
		'url'              => 'https://www.wpradiant.net/products/photography-wordpress-theme',
		'priority'         => 0,
	)));
}
add_action( 'customize_register', 'nature_photography_customize_register' );

/**
 * Enqueue script for custom customize control.
 */
function nature_photography_custom_control_scripts() {
	wp_enqueue_script( 'nature-photography-custom-controls-js', get_template_directory_uri() . '/assets/js/custom-controls.js', array( 'jquery', 'jquery-ui-core', 'jquery-ui-sortable' ), '1.0', true );
	wp_enqueue_style( 'nature-photography-customize-controls', trailingslashit( get_template_directory_uri() ) . '/assets/css/customize-controls.css' );
}
add_action( 'customize_controls_enqueue_scripts', 'nature_photography_custom_control_scripts' );